#!/usr/bin/env python
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

import os,sys
from glob import glob
FOLDER=os.path.dirname(__file__)
sys.path.append( FOLDER )

def get_providers():    # -> [( Fetch*.name, Fetch*.get), ...] from local files p_*.py
    ll=[]
    for f in glob(os.path.join(FOLDER,"p_*.py")):
        module=__import__(os.path.basename(f)[:-3])
        for i in dir(module):
            if i[:5]=="Fetch":
                classe=getattr(module,i)
                ll.append( (classe.name,classe.get) )
    ll.sort(lambda a,b:cmp(a[0].lower(),b[0].lower()))
    return ll

if __name__ == "__main__":
    for i,f in get_providers():
        ret = f()
        print (i,),len(ret),hasattr(ret,"save")

