#!/usr/bin/python2.6
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

from libs.web import getFilePage
from libs.BeautifulSoup import BeautifulSoup

import re
CACHE=60*60*24  # seconds

class Fetch:
    name = "Podcasts Audio France Inter"

    @staticmethod
    def get_dynamic():
        f=getFilePage("http://sites.radiofrance.fr/franceinter/pod/",cache=0)
        buf=open(f).read()
        soup=BeautifulSoup(buf)
        ll=[]
        for i in soup.findAll("div",id="descr_pod"):
            titre = i.findAll("h4")[0].string
            a=i.findAll("a",title="lien vers le podcast")[0].get("href")
            id=re.findall("javascript:popcast\((\d+)",a)[0]

            url="http://sites.radiofrance.fr/_c/php/popcast.php?chaine=1&cid=%s"%id
            f=getFilePage(url,cache=CACHE)
            s=BeautifulSoup(open(f).read())

            try:
                url=s.findAll("p",{"class":"rssLink"})[0].string
                ll.append( (titre,url) )
            except:
                print "*** no rss for",(titre)
        return ll

    @staticmethod
    def get():
        return [(u"2000 ans d'histoire", u'http://radiofrance-podcast.net/podcast09/rss_14864.xml'), (u'Le 5/7', u'http://radiofrance-podcast.net/podcast09/rss_10915.xml'), (u'le 7/10', u'http://radiofrance-podcast.net/podcast09/rss_10241.xml'), (u'Le 7/9 du week-end (_samedi)', u'http://radiofrance-podcast.net/podcast09/rss_10981.xml'), (u'Le 7/9 du week-end (dimanche)', u'http://radiofrance-podcast.net/podcast09/rss_10982.xml'), (u"L'Afrique enchant\xe9e", u'http://radiofrance-podcast.net/podcast09/rss_10804.xml'), (u'All\xf4 la plan\xe8te', u'http://radiofrance-podcast.net/podcast09/rss_10121.xml'), (u'Au d\xe9tour du monde', u'http://radiofrance-podcast.net/podcast09/rss_10039.xml'), (u"L'autre \xe9conomie", u'http://radiofrance-podcast.net/podcast09/rss_10980.xml'), (u'Le billet de Simon Tivolle', u'http://radiofrance-podcast.net/podcast09/rss_10916.xml'), (u'Carnets de campagne', u'http://radiofrance-podcast.net/podcast09/rss_10205.xml'), (u"La Chronique de d'Isabelle Autissier", u'http://radiofrance-podcast.net/podcast09/rss_10652.xml'), (u'La chronique de Daniel Morin', u'http://radiofrance-podcast.net/podcast09/rss_10906.xml'), (u'La Chronique de Didier Porte', u'http://radiofrance-podcast.net/podcast09/rss_10907.xml'), (u'Chronique du monde', u'http://radiofrance-podcast.net/podcast09/rss_18782.xml'), (u'CO2 mon amour', u'http://radiofrance-podcast.net/podcast09/rss_10006.xml'), (u'Cosmopolitaine', u'http://radiofrance-podcast.net/podcast09/rss_10051.xml'), (u'Crumble', u'http://radiofrance-podcast.net/podcast09/rss_10032.xml'), (u'Dans les cuisines du monde', u'http://radiofrance-podcast.net/podcast09/rss_10920.xml'), (u'le d\xe9bat \xe9conomique', u'http://radiofrance-podcast.net/podcast09/rss_18783.xml'), (u'D\xe9j\xe0 debout, pas encore couch\xe9s ? (_samedi)', u'http://radiofrance-podcast.net/podcast09/rss_10621.xml'), (u'D\xe9j\xe0 debout, pas encore couch\xe9s ? (dimanche)', u'http://radiofrance-podcast.net/podcast09/rss_10712.xml'), (u'dimanche soir \xe9co', u'http://radiofrance-podcast.net/podcast09/rss_10941.xml'), (u'dimanche soir politique', u'http://radiofrance-podcast.net/podcast09/rss_10939.xml'), (u'Eclectik (_Samedi)', u'http://radiofrance-podcast.net/podcast09/rss_17621.xml'), (u'Eclectik (Dimanche)', u'http://radiofrance-podcast.net/podcast09/rss_10946.xml'), (u"L'\xe9co autrement", u'http://radiofrance-podcast.net/podcast09/rss_11081.xml'), (u"L'\xe9co du jour", u'http://radiofrance-podcast.net/podcast09/rss_10917.xml'), (u"L'\xe9dito \xe9co", u'http://radiofrance-podcast.net/podcast09/rss_18770.xml'), (u"L'\xe9dito politique", u'http://radiofrance-podcast.net/podcast09/rss_10217.xml'), (u'Esprit critique', u'http://radiofrance-podcast.net/podcast09/rss_10240.xml'), (u'Et pourtant, elle tourne', u'http://radiofrance-podcast.net/podcast09/rss_10269.xml'), (u"Et si on parlait d'amour", u'http://radiofrance-podcast.net/podcast09/rss_10650.xml'), (u'Le fou du roi', u'http://radiofrance-podcast.net/podcast09/rss_10048.xml'), (u'G\xe9opolitique', u'http://radiofrance-podcast.net/podcast09/rss_10009.xml'), (u"Histoires d'ici, histoires d'ailleurs", u'http://radiofrance-podcast.net/podcast09/rss_10647.xml'), (u'Histoires de ...', u'http://radiofrance-podcast.net/podcast09/rss_10919.xml'), (u"L'humeur de Didier Porte", u'http://radiofrance-podcast.net/podcast09/rss_11078.xml'), (u"L'humeur de Philippe Val", u'http://radiofrance-podcast.net/podcast09/rss_11079.xml'), (u"L'humeur de St\xe9phane Guillon", u'http://radiofrance-podcast.net/podcast09/rss_10692.xml'), (u"L'humeur vagabonde", u'http://radiofrance-podcast.net/podcast09/rss_10054.xml'), (u'Interception', u'http://radiofrance-podcast.net/podcast09/rss_14934.xml'), (u'Intime projection', u'http://radiofrance-podcast.net/podcast09/rss_10821.xml'), (u"L'invit\xe9 d'Inter", u'http://radiofrance-podcast.net/podcast09/rss_10239.xml'), (u"J'ai mes sources", u'http://radiofrance-podcast.net/podcast09/rss_10243.xml'), (u'Le jardin', u'http://radiofrance-podcast.net/podcast09/rss_10661.xml'), (u'Le jeu des mille euros', u'http://radiofrance-podcast.net/podcast09/rss_10206.xml'), (u'Un jour sur la toile', u'http://radiofrance-podcast.net/podcast09/rss_10274.xml'), (u'Le journal des sports', u'http://radiofrance-podcast.net/podcast09/rss_11012.xml'), (u'Le kiosque', u'http://radiofrance-podcast.net/podcast09/rss_10626.xml'), (u"L'as-tu lu mon petit loup ?", u'http://radiofrance-podcast.net/podcast09/rss_18791.xml'), (u"L\xe0-bas si j'y suis", u'http://radiofrance-podcast.net/podcast09/rss_14288.xml'), (u'La librairie francophone', u'http://radiofrance-podcast.net/podcast09/rss_18647.xml'), (u'Un livre sous le bras', u'http://radiofrance-podcast.net/podcast09/rss_10664.xml'), (u'Le masque et la plume', u'http://radiofrance-podcast.net/podcast09/rss_14007.xml'), (u"Mode d'emploi", u'http://radiofrance-podcast.net/podcast09/rss_18768.xml'), (u'Musique plus', u'http://radiofrance-podcast.net/podcast09/rss_10273.xml'), (u'Noctiluque', u'http://radiofrance-podcast.net/podcast09/rss_10208.xml'), (u'Nocturne', u'http://radiofrance-podcast.net/podcast09/rss_10268.xml'), (u'Nonobstant', u'http://radiofrance-podcast.net/podcast09/rss_10615.xml'), (u'Nous autres', u'http://radiofrance-podcast.net/podcast09/rss_18633.xml'), (u'On aura tout vu', u'http://radiofrance-podcast.net/podcast09/rss_10617.xml'), (u"Les p'tits bateaux", u'http://radiofrance-podcast.net/podcast09/rss_10137.xml'), (u'Panique au mangin palace', u'http://radiofrance-podcast.net/podcast09/rss_10128.xml'), (u'Panique au minist\xe8re psychique', u'http://radiofrance-podcast.net/podcast09/rss_10905.xml'), (u'Parenth\xe8se', u'http://radiofrance-podcast.net/podcast09/rss_14034.xml'), (u'Parking de nuit', u'http://radiofrance-podcast.net/podcast09/rss_10136.xml'), (u'P\xe9riph\xe9ries', u'http://radiofrance-podcast.net/podcast09/rss_10040.xml'), (u'La prochaine fois je vous le chanterai...', u'http://radiofrance-podcast.net/podcast09/rss_10387.xml'), (u'Rendez-vous avec x', u'http://radiofrance-podcast.net/podcast09/rss_14726.xml'), (u'Reporters', u'http://radiofrance-podcast.net/podcast09/rss_10265.xml'), (u'La revue de presse', u'http://radiofrance-podcast.net/podcast09/rss_18780.xml'), (u'Rue des entrepreneurs', u'http://radiofrance-podcast.net/podcast09/rss_14958.xml'), (u'Les savanturiers', u'http://radiofrance-podcast.net/podcast09/rss_10908.xml'), (u'Service public', u'http://radiofrance-podcast.net/podcast09/rss_10207.xml'), (u'Sous les \xe9toiles exactement', u'http://radiofrance-podcast.net/podcast09/rss_10218.xml'), (u'Studio th\xe9\xe2tre', u'http://radiofrance-podcast.net/podcast09/rss_10629.xml'), (u'Syst\xe8me disque', u'http://radiofrance-podcast.net/podcast09/rss_10093.xml'), (u'Le t\xe9l\xe9phone sonne de la semaine', u'http://radiofrance-podcast.net/podcast09/rss_11086.xml'), (u'Le t\xe9l\xe9phone sonne', u'http://radiofrance-podcast.net/podcast09/rss_10052.xml'), (u'Un temps de Pauchon', u'http://radiofrance-podcast.net/podcast09/rss_10616.xml'), (u'La t\xeate au carr\xe9', u'http://radiofrance-podcast.net/podcast09/rss_10212.xml'), (u'le toc toc musical', u'http://radiofrance-podcast.net/podcast09/rss_10623.xml'), (u'Tous azimuts', u'http://radiofrance-podcast.net/podcast09/rss_10707.xml'), (u'Transeurop\xe9enne', u'http://radiofrance-podcast.net/podcast09/rss_10090.xml'), (u'Le vide-grenier', u'http://radiofrance-podcast.net/podcast09/rss_10987.xml'), (u"Vu de l'esprit", u'http://radiofrance-podcast.net/podcast09/rss_10651.xml'), (u'Les yeux au ciel', u'http://radiofrance-podcast.net/podcast09/rss_10619.xml'), (u"Le zapping d'Inter", u'http://radiofrance-podcast.net/podcast09/rss_10309.xml')]

if __name__ == "__main__":
    print Fetch.get()

    # DAILY
    #~ f=getFilePage("http://www.dailymotion.com/rss/playlist/xo10o_franceinter_humour",cache=60*60)
    #~ b=open(f).read()
    #~ print b
    #~ soup=BeautifulSoup(b)
    #~ for i in soup.findAll("item"):
        #~ titre = i.findAll("media:title")[0].string
        #~ print (titre,),i.findAll("media:content",{"type":"video/x-flv"})[0].get("url")
    # DAILY


