#!/usr/bin/python2.6
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

from libs.web import getFilePage


import re
CACHE=60*60*24  # seconds


#~ import re,sys
#~ h=""" """ # content of html RENDERED in firefox of http://www.rfi.fr/communfr/dynamiques/podcasting.aspx?rubrique=radiofr
#~ titres=re.findall("""<div [^>]* class="enteteAccesseur" [^>]*>([^<]+)</div>""",h)
#~ pods=["http://www.rfi.fr"+i for i in re.findall("(/radiofr/podcast/[^']+)",h)]
#~ l=zip(titres,pods)
#~ l.sort(lambda a,b:cmp(a[0].lower(),b[0].lower()))
#~ for i in l:
    #~ print i,","
#~ sys.exit()


class Fetch:
    name = "Podcasts Audio RFI"

    @staticmethod
    def get():
        l=[
        ("Accents d'Europe", 'http://www.rfi.fr/radiofr/podcast/Podcast_ACCEN.asp') ,
        ('Afrique Economie', 'http://www.rfi.fr/radiofr/podcast/Podcast_AFRICECO_.xml') ,
        ('Afrique presse', 'http://www.rfi.fr/radiofr/podcast/Podcast_AFPRE.asp') ,
        ('All\xc3\xb4 Bruxelles ', 'http://www.rfi.fr/radiofr/podcast/Podcast_ALLO_.xml') ,
        ('Appel presse europ\xc3\xa9enne', 'http://www.rfi.fr/radiofr/podcast/Podcast_APP_EUROP.xml') ,
        ("Appels sur l'actualit\xc3\xa9", 'http://www.rfi.fr/radiofr/podcast/Podcast_APL.asp') ,
        ("Archives d'Afrique", 'http://www.rfi.fr/radiofr/podcast/Podcast_ARC.asp') ,
        ("Atelier de l'histoire, La marche...", 'http://www.rfi.fr/radiofr/podcast/Podcast_MARCH.asp') ,
        ("Atelier de l'histoire, M\xc3\xa9moire...", 'http://www.rfi.fr/radiofr/podcast/Podcast_MEMOI.asp') ,
        ('Atelier des m\xc3\xa9dias', 'http://www.rfi.fr/radiofr/podcast/Podcast_ATE.asp') ,
        ("Bonjour l'Europe", 'http://www.rfi.fr/radiofr/podcast/Podcast_BONJOUR_EUROP.xml') ,
        ("C'est pas du vent", 'http://www.rfi.fr/radiofr/podcast/Podcast_VEN.asp') ,
        ('Cap Oc\xc3\xa9an Indien', 'http://www.rfi.fr/radiofr/podcast/Podcast_CAPOCEAN.xml') ,
        ('Carnet du voyageur ', 'http://www.rfi.fr/radiofr/podcast/Podcast_CARNET_AFR.xml') ,
        ("Carrefour de l'Europe", 'http://www.rfi.fr/radiofr/podcast/Podcast_CAR.asp') ,
        ('Chronique Agriculture et P\xc3\xaache', 'http://www.rfi.fr/radiofr/podcast/Podcast_AGRIC_.xml') ,
        ('Chronique Am\xc3\xa9riques', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHROAM.xml') ,
        ('Chronique Auto Moto', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHRO_AUTO_MOTO.xml') ,
        ('Chronique Aviation', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHROAVIA.xml') ,
        ('Chronique culture', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHROCUL.xml') ,
        ('Chronique de Jean-Baptiste Placca', 'http://www.rfi.fr/radiofr/podcast/Podcast_PLACCA_.xml') ,
        ('Chronique de la mer', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHROMER_.xml') ,
        ('Chronique de Mamane', 'http://www.rfi.fr/radiofr/podcast/Podcast_MAMANE_.xml') ,
        ("Chronique des droits de l'homme", 'http://www.rfi.fr/radiofr/podcast/Podcast_DROITS_HOMME.xml') ,
        ('Chronique des Fran\xc3\xa7ais de...', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHRO_FRANC_.xml') ,
        ('Chronique des Mati\xc3\xa8res Premi\xc3\xa8res', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHRO_MATPREM.xml') ,
        ('Chronique des m\xc3\xa9dias avec...', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHRO_MEDIA.xml') ,
        ("Cin\xc3\xa9ma d'aujourd'hui, cin\xc3\xa9ma sans...", 'http://www.rfi.fr/radiofr/podcast/Podcast_CIN.asp') ,
        ('Club RFI', 'http://www.rfi.fr/radiofr/podcast/Podcast_CLUB_.asp') ,
        ('Coq chante', 'http://www.rfi.fr/radiofr/podcast/Podcast_LECOQ.asp') ,
        ('Couleurs tropicales ', 'http://www.rfi.fr/radiofr/podcast/Podcast_CTROP.asp') ,
        ('Culture vive', 'http://www.rfi.fr/radiofr/podcast/Podcast_VIV.asp') ,
        ('Danse des mots', 'http://www.rfi.fr/radiofr/podcast/Podcast_DANSE.asp') ,
        ('Dossier Proche Orient', 'http://www.rfi.fr/radiofr/podcast/Podcast_PROCHE_ORIENT.xml') ,
        ('D\xc3\xa9bat africain', 'http://www.rfi.fr/radiofr/podcast/Podcast_DEB.asp') ,
        ('D\xc3\xa9bat du jour', 'http://www.rfi.fr/radiofr/podcast/Podcast_DEBAT.asp') ,
        ('Ecole des savoirs', 'http://www.rfi.fr/radiofr/podcast/Podcast_SAV.asp') ,
        ('Editions du matin', 'http://www.rfi.fr/radiofr/podcast/trancheMonde.asp') ,
        ('Editions du midi', 'http://www.rfi.fr/radiofr/podcast/journalAfrique.asp') ,
        ('Editions du soir', 'http://www.rfi.fr/radiofr/podcast/journalFrance.asp') ,
        ('Edito Alain Genestar', 'http://www.rfi.fr/radiofr/podcast/Podcast_EDITO_.xml') ,
        ('En sol majeur', 'http://www.rfi.fr/radiofr/podcast/Podcast_SOL.asp') ,
        ("Entreprises fran\xc3\xa7aises \xc3\xa0 l'export", 'http://www.rfi.fr/radiofr/podcast/Podcast_ENTREPRISE_.xml') ,
        ('Epop\xc3\xa9e des musiques noires', 'http://www.rfi.fr/radiofr/podcast/Podcast_EPOPE.asp') ,
        ('Europ\xc3\xa9en de la semaine', 'http://www.rfi.fr/radiofr/podcast/Podcast_EUROP_SEM.xml') ,
        ('Grand reportage', 'http://www.rfi.fr/radiofr/podcast/Podcast_REPOR.asp') ,
        ('G\xc3\xa9opolitique, le d\xc3\xa9bat', 'http://www.rfi.fr/radiofr/podcast/Podcast_GEO.asp') ,
        ('Id\xc3\xa9es', 'http://www.rfi.fr/radiofr/podcast/Podcast_IDE.asp') ,
        ('Ils ont leur mot \xc3\xa0 dire', 'http://www.rfi.fr/radiofr/podcast/Podcast_MOTS_.asp') ,
        ('Internationales', 'http://www.rfi.fr/radiofr/podcast/Podcast_INT.asp') ,
        ('Invit\xc3\xa9 Afrique', 'http://www.rfi.fr/radiofr/podcast/Podcast_INVITE_AFR.xml') ,
        ('Invit\xc3\xa9 du matin', 'http://www.rfi.fr/radiofr/podcast/Podcast_INVIT_MAT.xml') ,
        ('Journal des sports', 'http://www.rfi.fr/radiofr/podcast/Podcast_JOUR_SPORTS.xml') ,
        ('Journal des sports Afrique', 'http://www.rfi.fr/radiofr/podcast/Podcast_JOUR_SPORTAF.xml') ,
        ('Journal en fran\xc3\xa7ais facile', 'http://www.rfi.fr/radiofr/podcast/journalFrancaisFacile.asp') ,
        ('Kiosque International', 'http://www.rfi.fr/radiofr/podcast/Podcast_KIOSQ.asp') ,
        ('La plus grande discoth\xc3\xa8que...', 'http://www.rfi.fr/radiofr/podcast/Podcast_COU.asp') ,
        ('Le quotidien de la mer et M\xc3\xa9t\xc3\xa9o...', 'http://www.rfi.fr/radiofr/podcast/Podcast_METEO.asp') ,
        ('Lignes de D\xc3\xa9fense', 'http://www.rfi.fr/radiofr/podcast/Podcast_CHRO_DEF.xml') ,
        ('Litt\xc3\xa9rature sans fronti\xc3\xa8res', 'http://www.rfi.fr/radiofr/podcast/Podcast_LIVRE.asp') ,
        ('Livre France', 'http://www.rfi.fr/radiofr/podcast/Podcast_LIVREFRANCE_.xml') ,
        ('Livre international', 'http://www.rfi.fr/radiofr/podcast/Podcast_LIVRE_INTER.xml') ,
        ('Microm\xc3\xa9ga', 'http://www.rfi.fr/radiofr/podcast/Podcast_MIC.asp') ,
        ('Microscopie', 'http://www.rfi.fr/radiofr/podcast/Podcast_SCO.asp') ,
        ('Mondial sports', 'http://www.rfi.fr/radiofr/podcast/Podcast_MSP.asp') ,
        ('Musiques du monde', 'http://www.rfi.fr/radiofr/podcast/Podcast_ZIC.asp') ,
        ("M\xc3\xa9dias d'Afrique", 'http://www.rfi.fr/radiofr/podcast/Podcast_MAF.asp') ,
        ('Nouvelles technologies', 'http://www.rfi.fr/radiofr/podcast/Podcast_NEW_TECH.xml') ,
        ('Orient Presse', 'http://www.rfi.fr/radiofr/podcast/Podcast_ORIEN.asp') ,
        ('Photo sonore France', 'http://www.rfi.fr/radiofr/podcast/Podcast_PHOTO_FRANCE.xml') ,
        ('Photo sonore internationale', 'http://www.rfi.fr/radiofr/podcast/Podcast_PHOTO_INTER.xml') ,
        ('Plan\xc3\xa8te entreprises', 'http://www.rfi.fr/radiofr/podcast/Podcast_PLANE.asp') ,
        ('Plein Sud', 'http://www.rfi.fr/radiofr/podcast/Podcast_SUD.asp') ,
        ('Portrait Africain', 'http://www.rfi.fr/radiofr/podcast/Podcast_PORTRAITAFR_.xml') ,
        ('Priorit\xc3\xa9 sant\xc3\xa9', 'http://www.rfi.fr/radiofr/podcast/Podcast_SANTE.asp') ,
        ('Religions du monde', 'http://www.rfi.fr/radiofr/podcast/Podcast_REL.asp') ,
        ('Reportage Afrique', 'http://www.rfi.fr/radiofr/podcast/Podcast_REPORT_AFRIQ.xml') ,
        ('Reportage France', 'http://www.rfi.fr/radiofr/podcast/Podcast_REPORT_.xml') ,
        ('Reportage international', 'http://www.rfi.fr/radiofr/podcast/Podcast_REPORT_INT.xml') ,
        ('Si loin, si proche', 'http://www.rfi.fr/radiofr/podcast/Podcast_DUN.asp') ,
        ('Sur la route', 'http://www.rfi.fr/radiofr/podcast/Podcast_ROUTE.asp') ,
        ("Terres d'outre-mer", 'http://www.rfi.fr/radiofr/podcast/Podcast_OUTRE.asp') ,
        ("Une semaine d'actualit\xc3\xa9", 'http://www.rfi.fr/radiofr/podcast/Podcast_SEM.asp') ,
        ('Voyage en Afrique', 'http://www.rfi.fr/radiofr/podcast/Podcast_DUNAF.xml') ,
        ('Vu \xc3\xa0 la t\xc3\xa9l\xc3\xa9', 'http://www.rfi.fr/radiofr/podcast/Podcast_VU_.xml') ,
        ]

        l=[(n,u+"?.xml") for n,u in l]  # parceque totem est incapable de prendre des flux http/rss se terminant par ".asp" ?!?
        return l

if __name__ == "__main__":
    for i in Fetch.get():
        print i

