#!/usr/bin/env python
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

import re,os

class M3U(list):
    def __init__(self,l=[]):
        list.__init__(self,l)
        self.__path=None

    def load(self,path):
        if os.path.isfile(path):
            l=[]
            g=file(path)
            for line in g:
                line=line.strip()
                if line.startswith("#EXTINF"):
                    nom=re.findall(",(.*)$",line)[0]
                    try:
                        fichier=g.next().strip()
                        l.append((nom,fichier))
                    except StopIteration:
                        pass

            list.__init__(self,l)
            self.__path = path
        return len(self)


    def save(self,path=None):
        if path==None:
            if self.__path==None:
                raise "err"
            else:
                path = self.__path

        fid=open(path,"w")
        if fid:
            fid.write( "#EXTM3U%s"%os.linesep)
            for nom,file in self:
                fid.write("#EXTINF:-1,%s%s"%(nom,os.linesep))
                fid.write("%s%s"%(file,os.linesep))
            fid.close()
            return True

    def get(self,idx):
        return self[idx]


if __name__ == "__main__":
    pass
