#!/usr/bin/python2.6
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

from libs.web import getFilePage

import re
CACHE=60*60*24  # seconds

class Fetch:
    name = "Podcasts Audio France Culture"

    @staticmethod
    def get():
        f=getFilePage("http://sites.radiofrance.fr/chaines/france-culture/podcast/",cache=CACHE)
        buf=open(f).read()
        buf=buf.decode("iso8859_1")
        titres=re.findall("""<td class="c12_noir"><font color="#396c83"><b>(.+)</b>""",buf)
        urls=["http://"+i for i in re.findall("""<a href="itpc://([^"]+)">""",buf)]
        return zip(titres,urls)

if __name__ == "__main__":
    for i in Fetch.get():
        print i

