#!/usr/bin/python2.6
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

from libs.web import getFilePage


import re
CACHE=60*60*24  # seconds

def unquote(text):
    return text.replace("&#039;","'")


class Fetch:
    name = "Podcasts Audio LeMouv"

    @staticmethod
    def get():
        f=getFilePage("http://lemouv.fr/grille#tabs--bottom-4",cache=CACHE)
        buf=open(f).read()
        titres=[unquote(i) for i in re.findall("""<h4 class="evt-type"><a href="/emission/[^"]+">(.+)</a></h4>""",buf)]
        urls=re.findall("""<a href="(http://radiofrance-podcast.net/[^"]+)">""",buf)
        return zip(titres,urls)

if __name__ == "__main__":
    for i in Fetch.get():
        print i

