#!/usr/bin/env python
# -*- coding: utf-8 -*-
##
##    Copyright (C) 2009 manatlan manatlan[at]gmail(dot)com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 2 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## More infos : http://www.manatlan.com/page/totem-plugin-flux
##

from libs.path import getHomePath
from libs.m3u import M3U
import os

LIVE = [
    ("FIP",             "http://mp3.live.tv-radio.com/fip/all/fiphautdebit.mp3"),
    ("France Inter",    "http://mp3.live.tv-radio.com/franceinter/all/franceinterhautdebit.mp3"),
    ("Le mouv",         "http://mp3.live.tv-radio.com/lemouv/all/lemouvhautdebit.mp3"),
    ("Couleur3",        "http://broadcast.infomaniak.net:80/rsr-couleur3-high.mp3"),
    ("Nova",            "http://broadcast.infomaniak.net/radionova-high.mp3"),
    ("Band'apart",      "http://radio-shoutcast.cyber-streaming.com:8112"),
    ("RadioBlagon",     "http://radioblagon-serveur3.zik.dj:8010/"),
    ("Radio404",        "http://radio404.org:8000"),
    ("RadioParadise",   "http://www.radioparadise.com/musiclinks/rp_192.m3u"),
    ]

class Fetch:
    name = "Live"

    @staticmethod
    def get():
        file = os.path.join(getHomePath(),".totem_flux_live.m3u")
        if not os.path.isfile(file):
            p=M3U(LIVE)
            p.save(file)
        else:
            p=M3U()
            p.load(file)

        return p



if __name__ == "__main__":
    print Fetch.get()
